package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUser;
import com.sa.ibiz.demo.demo.service.dto.WFUserSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUser] 服务对象接口
 */
public interface WFUserService extends IService<WFUser>{

		WFUser get(WFUser et);
	boolean checkKey(WFUser et);
	boolean update(WFUser et);
	boolean remove(WFUser et);
	boolean getDraft(WFUser et);
	boolean create(WFUser et);
    List<WFUser> listDefault(WFUserSearchFilter filter) ;
	Page<WFUser> searchDefault(WFUserSearchFilter filter);
	/**	 实体[WFUser] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }